Bug 597799 - Two typos in /etc/init.d/inn, three typos in /etc/cron.*/inn* in F13
Two typos in /etc/init.d/inn, three typos in /etc/cron.*/inn* in F13
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: inn (Show other bugs)
13
All Linux
low Severity medium
: ---
: ---
Assigned To: Nikola Pajkovsky
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-30 11:07 EDT by Sam Varshavchik
Modified: 2014-02-02 17:14 EST (History)
3 users (show)

See Also:
Fixed In Version: inn-2.5.1-5.fc13
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-09-26 00:38:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Sam Varshavchik 2010-05-30 11:07:51 EDT
Description of problem:

There's a typo in /etc/init.d/inn that prevents inn from starting

Version-Release number of selected component (if applicable):

How reproducible:

inn-2.5.1-3.fc13.x86_64


Steps to Reproduce:
1. Install the inn rpm
2. service innd start
3.
  
Actual results:

First typo:

[root@commodore ~]# service innd start
/etc/init.d/innd: line 33: /usr/lib/news/lib/innshellvars: No such file or directory

Fixed the first typo, second typo:

[root@commodore ~]# service innd start
Starting INND system: bash: /etc/rc.news: No such file or directory
                                                           [FAILED]

Expected results:

inn starting.

Additional info:

rpm gives my inn install a clean bill of health:

[root@commodore ~]# rpm -q inn
inn-2.5.1-3.fc13.x86_64
[root@commodore ~]# rpm -V inn
SM5....T.  c /var/lib/news/active
SM5....T.  c /var/lib/news/active.times
SM5....T.  c /var/lib/news/history

Let's fix these typos:

[root@commodore ~]# grep innshellvars /etc/init.d/innd 
. /usr/lib/news/lib/innshellvars || exit 1
[root@commodore ~]# grep rc.news /etc/init.d/innd
  daemon --user news /etc/rc.news
[root@commodore ~]# ls -l /usr/lib/news/lib/innshellvars
ls: cannot access /usr/lib/news/lib/innshellvars: No such file or directory
[root@commodore ~]# rpm -q -l inn | grep innshellvars
/usr/libexec/news/innshellvars
/usr/libexec/news/innshellvars.pl
/usr/libexec/news/innshellvars.tcl
[root@commodore ~]# rpm -q -l inn | grep rc.news
/usr/libexec/news/rc.news
/usr/share/man/man8/rc.news.8.gz
Comment 1 Sam Varshavchik 2010-05-30 19:26:38 EDT
Now, cron started spamming me. Two more typos:

/etc/cron.hourly/inn-cron-nntpsend:

bash: /usr/lib/news/bin/nntpsend: No such file or directory
/etc/cron.hourly/inn-cron-rnews:

bash: /usr/lib/news/bin/rnews: No such file or directory

On a hunch, I looked in cron.daily, and found another one, that hasn't spammed me yet:

inn-cron-expire: /usr/lib/news/bin/news.daily
Comment 2 Sam Varshavchik 2010-05-31 13:59:14 EDT
/usr/share/perl5/INN/Config.pm is also busted:


--- Config.orig	2009-12-16 10:07:48.000000000 -0500
+++ Config.pm	2010-05-31 13:57:51.000000000 -0400
@@ -20,7 +20,7 @@
 
 ##  Then, process the variables provided by innconfval.
 my @INNCONFVAR = ();
-my @values = `${exec_prefix}/bin/innconfval -p`;
+my @values = `${exec_prefix}/innconfval -p`;
 foreach $line (@values) {
   eval 'our '.$line;
Comment 3 Nikola Pajkovsky 2010-06-02 10:20:32 EDT
Thank you for your report. Here is a build with fixes. Could you please test it and let me know? If it will be every thing fine I will commit in into cvs and submit update.

http://koji.fedoraproject.org/koji/taskinfo?taskID=2225158
Comment 4 Sam Varshavchik 2010-06-02 19:01:33 EDT
Everything looks fine. The server starts. cron scripts ran without errors.
Comment 5 Fedora Update System 2010-07-02 08:17:53 EDT
inn-2.5.1-4.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/inn-2.5.1-4.fc13
Comment 6 Fedora Update System 2010-09-07 07:12:41 EDT
inn-2.5.1-5.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/inn-2.5.1-5.fc13
Comment 7 Fedora Update System 2010-09-07 22:22:51 EDT
inn-2.5.1-5.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update inn'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/inn-2.5.1-5.fc13
Comment 8 Fedora Update System 2010-09-26 00:37:46 EDT
inn-2.5.1-5.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.